GHC = ghc
GHCOPT = -O
OHIDIR = ofiles
TARGET = alice

.PHONY: $(TARGET) clean

$(TARGET):
	$(GHC) --make Main $(GHCOPT) -o $(TARGET) -odir $(OHIDIR) -hidir $(OHIDIR)
	strip -s $(TARGET)


clean:
	rm -f $(TARGET) $(OHIDIR)/*.*
